Add a task status to a project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/task-status-links

Add a task status to a project, with its priority and the roles that see it on the board. If the task status is already in the project, the route replaces its priority and its board roles. You must be a manager of the project.

application/json

Body Required

  • project_id string(uuid) Required
  • task_status_id string(uuid) Required
  • priority integer

    Priority of the task status in the project

    Default value is 1.

  • roles_for_board array[string]

    Roles allowed to see this status on the board

Responses

  • 201 application/json

    The new link

    Hide response attributes Show response attributes object
    • id string(uuid)
    • project_id string(uuid)
    • task_status_id string(uuid)
    • priority integer
    • roles_for_board array[string]
  • 400

    The project or the task status is missing

  • 403

    You are not a manager of the project

  • 404

    The project does not exist

POST /data/task-status-links
curl -X POST "http://api.example.com/data/task-status-links" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "task_status_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "priority": 1,
  "roles_for_board": [
    "admin",
    "manager"
  ]
}'
import requests

url = "http://api.example.com/data/task-status-links"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_status_id": "b24a6ea4-ce75-4665-a070-57453082c25",
    "priority": 1,
    "roles_for_board": [
        "admin",
        "manager"
    ]
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "project_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "task_status_id": "b24a6ea4-ce75-4665-a070-57453082c250",
  "priority": 1,
  "roles_for_board": [
    "admin",
    "manager"
  ]
}
Response examples (201)
{
  "id": "c24a6ea4-ce75-4665-a070-57453082c250",
  "project_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "task_status_id": "b24a6ea4-ce75-4665-a070-57453082c250",
  "priority": 1,
  "roles_for_board": [
    "admin",
    "manager"
  ]
}